### Hierarchy

- ReplaceDirection

## Index

### Constructors

- constructor

### Methods

- replace

## Constructors

### constructor

- new ReplaceDirection(collisionLayer: CollisionLayer, direction: RULE_DIRECTION, mightNotFindConditionButThatIsOk: boolean): ReplaceDirection

- - Defined in models/rule.ts:1446

  #### Parameters

  - ##### collisionLayer: CollisionLayer

  - ##### direction: RULE_DIRECTION

  - ##### mightNotFindConditionButThatIsOk: boolean

  #### Returns ReplaceDirection

## Methods

### replace

- replace(cell: Cell): object

- - Defined in models/rule.ts:1455

  #### Parameters

  - ##### cell: Cell

  #### Returns object

  - ##### didActuallyChange: boolean

Generated using TypeDoc